Bug 955273 - frozen-bubble package should be built with PIE flags
Summary: frozen-bubble package should be built with PIE flags
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: frozen-bubble
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Saou
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-22 17:03 UTC by Dhiru Kholia
Modified: 2014-03-25 03:44 UTC (History)
3 users (show)

Fixed In Version: frozen-bubble-2.2.1-0.5.beta1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-27 03:30:32 UTC


Attachments (Terms of Use)
this should enable PIE (11.20 KB, text/x-rpm-spec)
2013-05-17 07:04 UTC, Dhiru Kholia
no flags Details
(v2) this should enable PIE (11.08 KB, text/x-rpm-spec)
2013-05-17 07:14 UTC, Dhiru Kholia
no flags Details

Description Dhiru Kholia 2013-04-22 17:03:05 UTC
Description of problem:

http://fedoraproject.org/wiki/Packaging:Guidelines#PIE says that "you MUST
enable the PIE compiler flags if your package is long running ...".

However, currently frozen-bubble is not being built with PIE flags. This is a
clear violation of the packaging guidelines.

This issue (in its wider scope) is being discussed at,

https://fedorahosted.org/fesco/ticket/1104

https://lists.fedoraproject.org/pipermail/devel/2013-March/180827.html

Version-Release number of selected component (if applicable):

frozen-bubble-server-2.2.1-0.4.beta1.fc19.x86_64.rpm

How reproducible:

You can use following programs to check if a package is hardened:

http://people.redhat.com/sgrubb/files/rpm-chksec

OR

https://github.com/kholia/checksec

Steps to Reproduce:

Get scanner.py from https://github.com/kholia/checksec

$ ./scanner.py frozen-bubble-server-2.2.1-0.4.beta1.fc19.x86_64.rpm
frozen-bubble-server,frozen-bubble-server-2.2.1-0.4.beta1.fc19.x86_64.rpm,/usr/bin/fb-server,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=network-ip

Comment 1 Dhiru Kholia 2013-05-17 04:55:48 UTC
Matthias,

Any progress on this bug?

Comment 2 Hans de Goede 2013-05-17 06:22:59 UTC
Hi,

(In reply to comment #1)
> Matthias,
> 
> Any progress on this bug?

Matthias tends to not have a lot of time for Fedora now a days, so I usually take care of frozen-bubble. I see you've just attached a patch for PIE usage to the iscsi-initiator-utils bug (bug 955167), if you can provide a patch for frozen-bubble too, that would be great.  Just attach it here and I'll take care of the rest.

Regards,

Hans

Comment 3 Dhiru Kholia 2013-05-17 07:04:10 UTC
Created attachment 749199 [details]
this should enable PIE

Comment 4 Dhiru Kholia 2013-05-17 07:09:56 UTC
Thanks Hans, for handling this.

I would recommend getting my patch reviewed before pushing it.

Comment 5 Dhiru Kholia 2013-05-17 07:14:41 UTC
Created attachment 749200 [details]
(v2) this should enable PIE

Comment 6 Fedora Update System 2013-05-17 12:02:27 UTC
frozen-bubble-2.2.1-0.5.beta1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/frozen-bubble-2.2.1-0.5.beta1.fc19

Comment 7 Fedora Update System 2013-05-17 22:21:37 UTC
Package frozen-bubble-2.2.1-0.5.beta1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing frozen-bubble-2.2.1-0.5.beta1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-8475/frozen-bubble-2.2.1-0.5.beta1.fc19
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2013-05-27 03:30:32 UTC
frozen-bubble-2.2.1-0.5.beta1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.